<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    tools:context=".ColorActivity">

    <Button
        android:id="@+id/nextButton"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:layout_marginEnd="8dp"
        android:backgroundTint="@color/orangeMain"
        android:text="Next"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/backButton" />

    <Button
        android:id="@+id/button_nav_example"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:layout_marginEnd="8dp"
        android:layout_marginBottom="16dp"
        android:backgroundTint="@color/orangeMain"
        android:text="Next Example"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toTopOf="@+id/nextButton"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/button_nav_example2" />

    <Button
        android:id="@+id/button_nav_example2"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="4dp"
        android:layout_marginBottom="16dp"
        android:backgroundTint="@color/orangeMain"
        android:text="Back Example"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toTopOf="@+id/nextButton"
        app:layout_constraintEnd_toStartOf="@+id/button_nav_example"
        app:layout_constraintStart_toStartOf="parent" />


    <Button
        android:id="@+id/button_tele_example"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:text="Tele Main"
        android:textColor="@color/white"
        android:textSize="20sp"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toTopOf="@+id/button_auto_example2"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/guideline2"
        app:strokeWidth="5dp" />

    <Button
        android:id="@+id/button_auto_example2"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:text="Auto Secondary"
        android:textColor="@color/white"
        android:textSize="20sp"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toTopOf="@+id/button_auto_example"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/button_tele_example"
        app:strokeWidth="5dp" />

    <Button
        android:id="@+id/button_auto_example"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:text="Auto Main"
        android:textColor="@color/white"
        android:textSize="20sp"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toTopOf="@+id/button_tele_example2"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.536"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/button_auto_example2"
        app:strokeWidth="5dp" />

    <Button
        android:id="@+id/button_tele_example2"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:text="Tele Secondary"
        android:textColor="@color/white"
        android:textSize="20sp"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toTopOf="@+id/radioButton"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/button_auto_example"
        app:strokeWidth="5dp" />

    <Button
        android:id="@+id/backButton"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="4dp"
        android:backgroundTint="@color/orangeMain"
        android:text="Back"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/nextButton"
        app:layout_constraintStart_toStartOf="parent" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent=".15" />

    <Spinner
        android:id="@+id/ColorSelector"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:background="@color/orangeMain"
        android:theme="@style/WhiteSpinnerTheme" />


    <Spinner
        android:id="@+id/ColorSelector2nd"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@color/greenMain"
        android:theme="@style/WhiteSpinnerTheme"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="1.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ColorSelector" />

    <RadioButton
        android:id="@+id/radioButton"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="RadioButton Example"
        android:textColor="@color/white"
        app:buttonTint="@color/orangeMain"
        app:layout_constraintBottom_toTopOf="@+id/button_nav_example"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/checkBox" />

    <CheckBox
        android:id="@+id/checkBox"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="CheckBox Example"
        android:textColor="@color/white"
        app:buttonTint="@color/orangeMain"
        app:layout_constraintBottom_toTopOf="@+id/button_nav_example2"
        app:layout_constraintEnd_toStartOf="@+id/radioButton"
        app:layout_constraintStart_toStartOf="parent" />



</androidx.constraintlayout.widget.ConstraintLayout>